Skip to main content
POST
/
account
/
api
/
{key}
/
disable
Disable API key
import requests

url = "https://api.pdfshift.io/v3/account/api/{key}/disable"

headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
{
  "success": true,
  "key": {
    "created": 1734076868000,
    "name": "Production key",
    "removed": 1764753251000,
    "token": "sk_3a1f9c2b4d5e6f708192a3b4c5d6e7f8",
    "public": "9f8e7d6c5b4a3928176054f3e2d1c0b9",
    "last_used": 1764753251000,
    "usage": 42,
    "is_master": false
  }
}

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

key
string
required

The secret key (token) of the API key to disable.

Response

API key disabled

success
boolean
key
object